DARKTABLE-CLI(1)

NAME
darktable-cli - a command line darktable variant

SYNOPSIS
    darktable-cli IMG_1234.{RAW,...} [<xmp file>] <output file> [options] [--core <darktable options>]

Options:

    --width <max width>
    --height <max height>
    --bpp <bpp>
    --hq <0|1|false|true>
    --upscale <0|1|false|true>
    --export_masks <0|1|false|true>
    --style <style name>
    --style-overwrite
    --apply-custom-presets <0|1|false|true>
    --verbose
    --help
    --version

DESCRIPTION
darktable is a digital photography workflow application for Linux, Mac OS X and several other Unices. It's described further in darktable(1).

darktable-cli is a command line variant to be used to export images given the raw file and the accompanying xmp file.

OPTIONS
The user needs to supply an input filename and an output filename. All other parameters are optional.

<input file>
    The name of the input file to export.

<xmp file>
    The optional name of an XMP sidecar file containing the history stack data to be applied during export. If this option is not given darktable will search for an XMP file that belongs to the given input file.

<output file>
    The name of the output file. darktable derives the export file format from the file extension. You can also use all the variables available in darktable's export module in the output filename.

--width <max width>
    This optional parameter allows one to limit the width of the exported image to that number of pixels.

--height <max height>
    This optional parameter allows one to limit the height of the exported image to that number of pixels.

--bpp <bpp>
    An optional parameter to define the bit depth of the exported image; allowed values depend on the file format. Currently this option is not yet functional. If you need to define the bit depth you need to use the following workaround:

        --core --conf plugins/imageio/format/<FORMAT>/bpp=<VALUE>

    where FORMAT is the name of the selected output format, for example png.

--hq <0|1|true|false>
    A flag that defines whether to use high quality resampling during export. Defaults to true.

--upscale <0|1|true|false>
    A flag that defines whether to allow upscaling during export. Defaults to false.

--export_masks <0|1|true|false>
    A flag that defines whether masks used in the image will be stored as layers in the exported image (provided the format supports it). Defaults to false.

--style <style name>
    Specify the name of a style to be applied during export. If a style is specified, the path to the darktable configuration directory must also be specified (i.e. --core --configdir ~/.config/darktable). Defaults to no style specified.

--style-overwrite
    The specified style overwrites the history stack instead of being appended to it.

--apply-custom-presets
    With this option you can decide if darktable loads its set of default parameters from data.db and applies them. Otherwise the defaults that ship with darktable are used.

    Set this flag to false in order to run multiple instances.

--verbose
    Enables verbose output.

--core <darktable options>
    All command line parameters following --core are passed to the darktable core and handled as standard parameters. See darktable(1) for a detailed description of the options.

SEE ALSO
darktable(1)

AUTHORS
The principal developer of darktable is Johannes Hanika. The (hopefully) complete list of contributors to the project is:

* developers: Pascal Obry Aldric Renaudin Roman Lebedev parafin Edouard Gomez * translators: Victor Forsiuk Pascal Obry Jeronimo Pellegrini Martin Straeten Kang-Wei Hsu Ryo Shinozaki Besmir Godolja Nicolas Auffray Tianhao Chai Matjaž Jeran Báthory Péter EdgarLux bajdero shinoryo shlomi François Delègue Hanno Schwalm Mario Zimmermann Marko Vertainen Tobias Kühne Яна Тунгушпаева * contributors (at least 4 commits): Victor Forsiuk Ralf Brown Hanno Schwalm Diederik ter Rahe Miloš Komarčević Dan Torop Jeronimo Pellegrini Martin Straeten Mario Zimmermann Mark-64 Kang-Wei Hsu Nicolas Auffray rawfiner Serkan ÖNDER Bill Ferguson Ryo Shinozaki Simone Gotti lhietal Besmir Godolja Dmitry Stoyanov Manuel Presnitz Petr Stasiak Tianhao Chai shonjir * Sub-module rawspeed contributors (at least 1 commit): Roman Lebedev Miloš Komarčević Jordan Neumeyer Philipp Lutz Thomas Baumann Howard Liberty * Sub-module integration contributors (at least 1 commit): Pascal Obry ralfbrown Simone Gotti And all those of you that made previous releases possible.

This man page was written by Richard Levitte <richard@levitte.org>. Additions were made by Tobias Ellinghaus <me@houz.org>.

COPYRIGHT AND LICENSE
Copyright (C) 2009-2019 by Authors.

darktable is free software; you can redistribute it and/or modify it under the terms of the GPL v3 or (at your option) any later version.